> For the complete documentation index, see [llms.txt](https://developers.lfj.gg/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.lfj.gg/lfj-dex-api/token-supply.md).

# Token Supply

## GET /v1/supply/circulating

> Get Circulating Supply

```json
{"openapi":"3.0.2","info":{"title":"LFJ Dex API","version":"1.0.0"},"tags":[{"name":"Token Supply"}],"servers":[{"url":"https://api.lfj.dev"}],"security":[{"ApiKeyHeader":[]}],"components":{"securitySchemes":{"ApiKeyHeader":{"type":"apiKey","in":"header","name":"x-lfj-api-key"}}},"paths":{"/v1/supply/circulating":{"get":{"tags":["Token Supply"],"summary":"Get Circulating Supply","operationId":"get_circulating_supply_v1_supply_circulating_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"title":"Response Get Circulating Supply V1 Supply Circulating Get","type":"integer"}}}}}}}}}
```

## GET /v1/supply/circulating-adjusted

> Get Adjusted Circulating Supply

```json
{"openapi":"3.0.2","info":{"title":"LFJ Dex API","version":"1.0.0"},"tags":[{"name":"Token Supply"}],"servers":[{"url":"https://api.lfj.dev"}],"security":[{"ApiKeyHeader":[]}],"components":{"securitySchemes":{"ApiKeyHeader":{"type":"apiKey","in":"header","name":"x-lfj-api-key"}}},"paths":{"/v1/supply/circulating-adjusted":{"get":{"tags":["Token Supply"],"summary":"Get Adjusted Circulating Supply","operationId":"get_adjusted_circulating_supply_v1_supply_circulating_adjusted_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"title":"Response Get Adjusted Circulating Supply V1 Supply Circulating Adjusted Get","type":"integer"}}}}}}}}}
```

## GET /v1/supply/total

> Get Total Supply

```json
{"openapi":"3.0.2","info":{"title":"LFJ Dex API","version":"1.0.0"},"tags":[{"name":"Token Supply"}],"servers":[{"url":"https://api.lfj.dev"}],"security":[{"ApiKeyHeader":[]}],"components":{"securitySchemes":{"ApiKeyHeader":{"type":"apiKey","in":"header","name":"x-lfj-api-key"}}},"paths":{"/v1/supply/total":{"get":{"tags":["Token Supply"],"summary":"Get Total Supply","operationId":"get_total_supply_v1_supply_total_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"title":"Response Get Total Supply V1 Supply Total Get","type":"integer"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.lfj.gg/lfj-dex-api/token-supply.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
